### Method

# Gegl Node create_child

#### Declaration [src]

    GeglNode*
    gegl_node_create_child (
      GeglNode* parent,
      const gchar* operation
    )

#### Description [src]

Creates a new processing node that performs the specified operation. All properties of the operation will have their default values. This is included as an addition to #gegl_node_new_child in the public API to have a non varargs entry point for bindings as well as sometimes simpler more readable code.

#### Parameters

`operation`

  Type: `const gchar*`

  The type of node to create.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglNode`

A newly created node. The node will be destroyed by the parent. Calling g_object_unref on a node will cause the node to be dropped by the parent. (You may also add additional references using g_object_ref/g_object_unref, but in general relying on the parents reference counting is easiest.)

The data is owned by the instance.